local ToT = TrickOrTreat

--[[ Options ]]--
ToT.defaults = {
	profile = {
		warningmsg = "Trick or Treat!",
		targetwarn = true,
		targetreport = true,
		selfreport = true,
		selfwarn = true,
		threatwarn = true,
		threatpercent = 60,
		threatraw = 50000,
	},
}

ToT.options = {
	type = "group",
	args = {
		tells = {
			type = "group",
			name = "Notifications",
			desc = "Notifications",
			args = {
				player = { 
					type = "group",
					inline = true,
					name = "Player",
					desc = "Player",
					args = {
						selfreport = {
							type = "toggle",
							name = "Report to self",
							desc = "Print damage dealt by self and extra damage caused by target when Tricks expires.",
							get = function() return ToT.db.profile.selfreport end,
							set = function(info, v)
									ToT.db.profile.selfreport = v
								end,
							order = 1,
						},
						selfwarn = {
							type = "toggle",
							name = "Warn self",
							desc = "Audio/Visual warning when you receive Tricks.",
							get = function() return ToT.db.profile.selfwarn end,
							set = function(info, v)
									ToT.db.profile.selfwarn = v
								end,
							order = 2,
						},
					},
					order = 1,
				},
				target = {
					type = "group",
					inline = true,
					name = "Target",
					desc = "Target",
					args = {
						targetwarn = {
							type = "toggle",
							name = "Warn Target",
							desc = "Whisper your target when Tricks is cast.",
							get = function() return ToT.db.profile.targetwarn end,
							set = function(info, v)
									ToT.db.profile.targetwarn = v
								end,
							order = 1,
						},
						warningmsg = {
							type = "input",
							name = "Warning Message",
							desc = "Warning to target of your Tricks",
							disabled = function() return not ToT.db.profile.targetwarn end,
							get = function() return ToT.db.profile.warningmsg end,
							set = function(info, v)
									ToT.db.profile.warningmsg = v
								end,
							order = 2,
						},
						targetreport = {
							type = "toggle",
							name = "Report to target",
							desc = "Whisper your target when Tricks expires, reporting how much extra damage they did.",
							get = function() return ToT.db.profile.targetreport end,
							set = function(info, v)
									ToT.db.profile.targetreport = v
								end,
							order = 3,
						},
					},
					order = 2,
				},
				threat = {
					type = "group",
					inline = true,
					name = "Threat Warnings",
					desc = "Threat Warnings",
					args = {
						threatwarn = {
							type = "toggle",
							name = "Enable",
							desc = "Include threat based warnings with Tricks\n|cffffff00Must have Target Warnings on for this to work.|r",
							disabled = function() return not ToT.db.profile.targetwarn end,
							get = function() return ToT.db.profile.threatwarn end,
							set = function(info, v)
									ToT.db.profile.threatwarn = v
								end,
							order = 1,
						},
						threatpercent = {
							type = "range",
							name = "Percentage Warning",
							desc = "Warn your Tricks target if they're over this percent threat compared to your target",
							disabled = function() return (not ToT.db.profile.targetwarn) or (not ToT.db.profile.threatwarn) end,
							min = 1,
							max = 110,
							step = 1,
							get = function() return ToT.db.profile.threatpercent end,
							set = function(info, v)
									ToT.db.profile.threatpercent = v
								end,
							order = 3,
						},
						threatraw = {
							type = "range",
							name = "Raw Threat Warning",
							desc = "Warn your Tricks target if their threat is within this raw value of the tank's compared to your target",
							disabled = function() return (not ToT.db.profile.targetwarn) or (not ToT.db.profile.threatwarn) end,
							min = 1,
							max = 200000,
							step = 1000,
							get = function() return ToT.db.profile.threatraw end,
							set = function(info, v)
									ToT.db.profile.threatraw = v
								end,
							order = 4,
						},
					},
				},
			},
			order = 10,
		},
	},
}
